std::experimental::is_simd,std::experimental::is_simd_mask(3)

NAME
std::experimental::is_simd,std::experimental::is_simd_mask - std::experimental::is_simd,std::experimental::is_simd_mask

Synopsis
   Defined in header <experimental/simd>
   template< class T > (1) (parallelism TS v2)
   struct is_simd;
   template< class T > (2) (parallelism TS v2)
   struct is_simd_mask;
   1) If T is a specialization of the simd class template, provides the member constant
   value equal true. For any other type, value is false.
   2) If T is a specialization of the simd_mask class template, provides the member
   constant value equal true. For any other type, value is false.

Template parameters
   T - a type to check
  Helper variable template
   template< class T > (parallelism TS v2)
   inline constexpr bool is_simd_v = is_simd<T>::value;
   template< class T > (parallelism TS v2)
   inline constexpr bool is_simd_mask_v = is_simd_mask<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is a simd/simd_mask type , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Example
// Run this code
 #include <experimental/simd>
 #include <iostream>
 int main()
 {
     namespace stdx = std::experimental;
     std::cout
     << std::boolalpha
     << stdx::is_simd_v<stdx::simd<float>> << '\n';
     << stdx::is_simd_v<int> << '\n';
     << stdx::is_simd_mask_v<stdx::simd_mask<float>> << '\n';
     << stdx::is_simd_mask_v<int> << '\n';
 }

Output:
 true
 false
 true
 false